<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">

<action label="top">
	<actionRef label="4way">
		<param>4 + $rank * 2</param>
		<param>2.0 + $rank * 1.0</param>
	</actionRef>
	
	<actionRef label="4way">
		<param>4 + $rank * 2</param>
		<param>2.1 + $rank * 1.0</param>
	</actionRef>

	<vanish/>

</action>

<!-- 4way -->
<action label="4way">
	<actionRef label="center">
		<param>$1</param>
		<param>$2</param>
	</actionRef>
</action>


<!-- ‘O•û -->
<action label="center">
		<fire>
			<direction type="aim">40 - $rand * 10</direction>
			<speed>$1</speed>
			<bulletRef label="down">
				<param>$2</param>
			</bulletRef>
		</fire>
		<fire>
			<direction type="aim">30 - $rand * 10</direction>
			<speed>$1</speed>
			<bulletRef label="down">
				<param>$2</param>
			</bulletRef>
		</fire>
		<fire>
			<direction type="aim">-30 + $rand * 10</direction>
			<speed>$1</speed>
			<bulletRef label="down">
				<param>$2</param>
			</bulletRef>
		</fire>
		<fire>
			<direction type="aim">-40 + $rand * 10</direction>
			<speed>$1</speed>
			<bulletRef label="down">
				<param>$2</param>
			</bulletRef>
		</fire>
</action>



<bullet label="down">
  <action>
    <changeSpeed>
       <speed>$1</speed>
       <term>15</term>
    </changeSpeed>
  </action>
</bullet>

</bulletml>
